New URL for NEMO forge!   http://forge.nemo-ocean.eu

Since March 2022 along with NEMO 4.2 release, the code development moved to a self-hosted GitLab.
This present forge is now archived and remained online for history.
#2386 (tidy up restart read/write with XIOS) – NEMO

Opened 3 years ago

Closed 22 months ago

#2386 closed Defect (fixed)

tidy up restart read/write with XIOS

Reported by: andmirek Owned by: andmirek
Priority: low Milestone:
Component: IOM Version: trunk
Severity: minor Keywords:
Cc:

Description

Context

This ticket is to tidy up XIOS restart read/write for NEMO to make sure all SETTE tests and test cases run OK with this functionality.

Analysis

A Pysh user reported that writing restart with XIOS doesn't work correctly with AGRIF (http://forge.ipsl.jussieu.fr/nemo/discussion/topic/88). Additionally, after implementing read/write functionality with XIOS there were additional test cases added to SETTE, and in some of them this functionality doesn't work.

Recommendation

create sette cases (as an additional runs to currently existing) to test restart read/write with XIOS and compare results with the reference solutions; and fix any issues encountered.

Commit History (14)

ChangesetAuthorTimeChangeLog
13728andmirek2020-11-05T17:06:42+01:00

Ticket #2462: merge changes 13702,13717,13718 from #2386

13718andmirek2020-11-03T10:07:44+01:00

Ticket #2386: Small correction in IFS

13717andmirek2020-11-03T10:02:29+01:00

Ticket #2386: Fix reading with XIOS and issues in IFS

13702andmirek2020-10-29T13:57:36+01:00

Ticket #2386: correct restart context definition

13694andmirek2020-10-28T18:03:31+01:00

Ticket #2386: merge with trunk rev 13688

13542andmirek2020-09-29T15:36:20+02:00

Ticket #2386: additional fixes for trunk changes

13540andmirek2020-09-29T12:41:06+02:00

Ticket #2386: update to latest trunk

12914andmirek2020-05-12T15:59:32+02:00

Ticket #2462: merge changes from ticket #2386 to fix XIOS write-read restart

12522andmirek2020-03-09T11:23:42+01:00

Ticket #2386: changes for tests cases enabling use XIOS in the tests to read and wirite restart with XIOS (using USING_XIOS_RRW)

12515andmirek2020-03-05T15:47:11+01:00

Ticket #2386 : changes in code to make XIOS restart read/write working in reference configurations

12514andmirek2020-03-05T15:44:42+01:00

Ticket #2386: change sette to have an option (environmental variable) to control if XIOS is used to read/write NEMO restart for reference configurations

12511andmirek2020-03-05T12:21:05+01:00

ticket #2386: update trunk@12493 to have AGRIF sette working

12452andmirek2020-02-25T11:21:33+01:00

sette for ticket #2386

12451andmirek2020-02-25T11:14:26+01:00

Branch for ticket #2386

Change History (19)

comment:1 Changed 3 years ago by andmirek

  • Owner changed from systeam to andmirek
  • Status changed from new to assigned

comment:2 Changed 3 years ago by andmirek

In 12451:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

NEMO/branches/2020/r12377_ticket2386

Last edited 2 years ago by andmirek (previous) (diff)

comment:3 Changed 3 years ago by andmirek

In 12452:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:4 Changed 3 years ago by andmirek

In 12511:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:5 Changed 3 years ago by andmirek

In 12514:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:6 Changed 3 years ago by andmirek

In 12515:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:7 Changed 3 years ago by andmirek

In 12522:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:8 Changed 3 years ago by andmirek

Current code is : NEMO/branches/2020/r12377_ticket2386 @ r12511 ( last change @ r12511 )

SETTE validation report generated for :

NEMO/branches/2020/r12377_ticket2386 @ r12511 (last changed revision)

on XC40_METO_IFORT arch file

!!---------------1st pass------------------!!

!----restart----!

WGYRE_PISCES_ST run.stat restartability passed : 12511
WGYRE_PISCES_ST tracer.stat restartability passed : 12511
WORCA2_ICE_PISCES_ST run.stat restartability passed : 12511
WORCA2_ICE_PISCES_ST tracer.stat restartability passed : 12511
WORCA2_OFF_PISCES_ST tracer.stat restartability passed : 12511
WAMM12_ST run.stat restartability passed : 12511
WORCA2_SAS_ICE_ST run.stat restartability passed : 12511
WAGRIF_DEMO_ST run.stat restartability passed : 12511
WSPITZ12_ST run.stat restartability passed : 12511
WISOMIP_ST run.stat restartability passed : 12511
WOVERFLOW_ST run.stat restartability passed : 12511
WLOCK_EXCHANGE_ST run.stat restartability passed : 12511
WVORTEX_ST run.stat restartability passed : 12511
WICE_AGRIF_ST ocean.output MISSING : 12511
WICE_AGRIF_ST incomplete test

!----repro----!

WGYRE_PISCES_ST run.stat reproducibility passed : 12511
WGYRE_PISCES_ST tracer.stat reproducibility passed : 12511
WORCA2_ICE_PISCES_ST run.stat reproducibility passed : 12511
WORCA2_ICE_PISCES_ST tracer.stat reproducibility passed : 12511
WORCA2_OFF_PISCES_ST tracer.stat reproducibility passed : 12511
WAMM12_ST run.stat reproducibility passed : 12511
WORCA2_SAS_ICE_ST run.stat reproducibility passed : 12511
WORCA2_ICE_OBS_ST run.stat reproducibility passed : 12511
WAGRIF_DEMO_ST run.stat reproducibility passed : 12511
WSPITZ12_ST run.stat reproducibility passed : 12511
WISOMIP_ST run.stat reproducibility passed : 12511
WVORTEX_ST run.stat reproducibility passed : 12511
WICE_AGRIF_ST ocean.output MISSING : 12511
WICE_AGRIF_ST incomplete test

!----agrif check----!

ORCA2 AGRIF vs ORCA2 NOAGRIF run.stat unchanged - passed : 12511 12511

!----result comparison check----!

check result differences between :
VALID directory : /home/d02/mandrej/nemo_validation_xiosrrw/NEMO_VALIDATION at rev 12511
and
REFERENCE directory : /home/d02/mandrej/nemo_validation/NEMO_VALIDATION at rev 12511

WGYRE_PISCES_ST run.stat files are identical
WGYRE_PISCES_ST tracer.stat files are identical
WORCA2_ICE_PISCES_ST run.stat files are identical
WORCA2_ICE_PISCES_ST tracer.stat files are identical
WORCA2_OFF_PISCES_ST tracer.stat files are identical
WAMM12_ST run.stat files are identical
WISOMIP_ST run.stat files are identical
WORCA2_SAS_ICE_ST run.stat files are identical
WAGRIF_DEMO_ST run.stat files are identical
WSPITZ12_ST run.stat files are identical
WISOMIP_ST run.stat files are identical
WVORTEX_ST run.stat files are identical
WICE_AGRIF_ST incomplete test

comment:9 Changed 3 years ago by andmirek

WICE_AGRIF_ST failed with ./initice.nc* not found

Last edited 3 years ago by andmirek (previous) (diff)

comment:10 Changed 2 years ago by andmirek

In 12914:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:11 Changed 2 years ago by andmirek

In 13540:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:12 Changed 2 years ago by andmirek

In 13542:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:13 Changed 2 years ago by andmirek

In 13694:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:14 Changed 2 years ago by andmirek

In 13702:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:15 Changed 2 years ago by andmirek

In 13717:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:16 Changed 2 years ago by andmirek

In 13718:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:17 Changed 2 years ago by andmirek

Current code is : NEMO/branches/2020/r12377_ticket2386 @ r13718  ( last change @ r13718 )

SETTE validation report generated for : 

       NEMO/branches/2020/r12377_ticket2386 @ r13718+ (last changed revision)

       on XC40_METO_IFORT arch file


!!---------------1st pass------------------!!

   !----restart----!   
WGYRE_PISCES_ST              run.stat    restartability  passed :  13718+
WGYRE_PISCES_ST              tracer.stat restartability  passed :  13718+
WORCA2_ICE_PISCES_ST         run.stat    restartability  passed :  13718+
WORCA2_ICE_PISCES_ST         tracer.stat restartability  passed :  13718+
WORCA2_OFF_PISCES_ST         tracer.stat restartability  passed :  13718+
WAMM12_ST                    run.stat    restartability  passed :  13718+
WORCA2_SAS_ICE_ST            run.stat    restartability  passed :  13718+
WAGRIF_DEMO_ST               run.stat    restartability  passed :  13718+
WWED025_ST                   run.stat    restartability  passed :  13718+
WISOMIP+_ST                  run.stat    restartability  passed :  13718+
WOVERFLOW_ST                 run.stat    restartability  passed :  13718+
WLOCK_EXCHANGE_ST            run.stat    restartability  passed :  13718+
WVORTEX_ST                   run.stat    restartability  passed :  13718+
WICE_AGRIF_ST                run.stat    restartability  passed :  13718+

   !----repro----!   
WGYRE_PISCES_ST              run.stat    reproducibility passed :  13718+
WGYRE_PISCES_ST              tracer.stat reproducibility passed :  13718+
WORCA2_ICE_PISCES_ST         run.stat    reproducibility passed :  13718+
WORCA2_ICE_PISCES_ST         tracer.stat reproducibility passed :  13718+
WORCA2_OFF_PISCES_ST         tracer.stat reproducibility passed :  13718+
WAMM12_ST                    run.stat    reproducibility passed :  13718+
WORCA2_SAS_ICE_ST            run.stat    reproducibility passed :  13718+
WORCA2_ICE_OBS_ST            run.stat    reproducibility passed :  13718+
WAGRIF_DEMO_ST               run.stat    reproducibility passed :  13718+
WWED025_ST                   run.stat    reproducibility passed :  13718+
WISOMIP+_ST                  run.stat    reproducibility passed :  13718+
WVORTEX_ST                   run.stat    reproducibility passed :  13718+
WICE_AGRIF_ST                run.stat    reproducibility passed :  13718+

   !----agrif check----!   
ORCA2 AGRIF vs ORCA2 NOAGRIF run.stat    unchanged  -    passed :  13718+ 13718+

comment:18 Changed 2 years ago by andmirek

In 13728:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:19 Changed 22 months ago by andmirek

  • Resolution set to fixed
  • Status changed from assigned to closed

This development is in the trunk as part of ticket #2462

Note: See TracTickets for help on using tickets.